config/routes.rb
Rails.application.routes.draw do
  devise_for :users
  root "pages#home"
  get "apartmani", to: "pages#apartments", as: "apartments"
  get "lokacija", to: "pages#location", as: "location"
  get "kontakti", to: "pages#contacts", as: "contacts"
  resources :reservations, only: [:index, :new, :create], path: "rezervacije"
  get "potvrdi/:id", to: "reservations#approve", as: "approve_reservation" 
  post "kontakt", to: "contacts#send_mail", as: "contact"
  namespace :admin do
    root "base#index"
    delete "reservations/:id", to: "reservations#destroy", as: "reservation"
    get "potvrdi/:id", to: "reservations#approve", as: "approve_reservation" 
  end
end

app/views/layouts/_footer.html.erb
<footer class = "footer">
    <div class="footer-main">
            <div>
            <h3>Kontakt</h3>
            <p>+385 98 974/5729</p>
            <p>+385 98 235/4321</p>
            </div>
            <div>
            <h3>Informacije</h3>
            <p>Vlasnik: Ana Budimir</p>
            <p>OIB: 32162253217</p>
            <p>apartmani.ann@gmail.com</p>
            </div>
            <div>
            <h3>Lokacija</h3>
            <a href="https://www.google.com/maps/dir//43.5179596,16.1165763/@43.5179359,16.1164159,18z" target="_blank" id="lokacija">Prališće II 6, Marina</a>
            </div>
            <div>
            <h3>Korisni linkovi</h3>
            <a href="index.html">Početna</a>
            <a href="apartmani.html">Apartmani</a>
            <a href="lokacija.html">Lokacija</a>
            <a href="kontakt.html">Kontakt</a>
            </div>
    </div>
    <div>
        <p>Copyright © 2021 - Marko Budimir. Sva prava pridržana.</p>
    </div>
</footer>

app/views/layouts/_navigation.html.erb
<header id="header" class="">
    <h1>Apartmani Ann</h1>
    <nav>
    <ul>
        <li><%= link_to "Početna", root_path %></li>
        <li><%= link_to "Apartmani", apartments_path %></li>
        <li><%= link_to "Lokacija", location_path %></li>
        <li><%= link_to "Kontakti", contacts_path %></li>
        <li><%= link_to "Rezervacija", reservations_path if current_user%></li>
        <% if current_user&.is_admin %>
            <li><%= link_to "Admin", admin_root_path %></li>
        <% end%>
        <% if current_user %>
            <span>Pozdrav, <%= current_user.first_name%></span>
            <li><%= button_to "Odjava", destroy_user_session_path, method: :delete, class:"login", id:"loginButton" %></li>
        <% else%>
            <li><%= button_to "Prijava", new_user_session_path, method: :get, class:"login", id:"loginButton" %></li>
        <% end%>
    </ul>
    </nav>
</header>

app/views/layouts/_notification.html.erb
<% flash.each do |name, msg| %>
  <% if msg.is_a?(String) and msg.length > 0 %>
    <div class="alert alert-<%= name.to_s == 'notice' ? 'success' : 'danger' %>">
        <p><%= raw msg %></p><button class="close">&times;</button>
    </div>
  <% end %>
<% end %>

<script>
$('.close').on('click', function() {
  $(this).parent('.alert').hide();
});

$('.reset').on('click', function() {
  $('.alert').show();
});
</script>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Apartmani Ann</title>
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Raleway&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@1,400&display=swap" rel="stylesheet">
    <%= csrf_meta_tags %>
    <%= csp_meta_tag %>
    <%= javascript_pack_tag 'application' %>
    <%= stylesheet_link_tag 'application' %>
    <%= stylesheet_link_tag '//ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/base/jquery-ui.min.css' %>
  </head>

  <body>
    <%= render "layouts/navigation" %>
    <%= render "layouts/notification"%>
    <%= yield %>
    <% unless devise_controller? %>
      <%= render "layouts/footer" %>
    <% end %>
  </body>
</html>